Bug 239056 - gchemtable crashes when clicking on an element
gchemtable crashes when clicking on an element
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-chemistry-utils (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Julian Sikorski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-04 13:42 EDT by petrosyan
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-08 01:59:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description petrosyan 2007-05-04 13:42:54 EDT
Description of problem:
gchemtable program crashes when clicking on any chemical element with a mouse.
Using a keyboard to select the element does not crash the program.

Version-Release number of selected component (if applicable):
gnome-chemistry-utils-0.6.5-1.fc6

How reproducible:
Always

Steps to Reproduce:
1. start gchemtable
2. click on any element with a mouse

Actual results:
gchemtable crashes

Expected results:
gchemtable should not crash

Additional info:
Here is the backtrace:

run
Starting program: /usr/bin/gchemtable 
[Thread debugging using libthread_db enabled]
[New Thread -1208224032 (LWP 3766)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208224032 (LWP 3766)]
0x0804f26c in GChemTableElt (this=0xa1c0288, App=0x9fb1b80, Z=<value optimized
out>) at gchemtable-elt.cc:248
248                             while (((j != jend) && ((*j)->charge <
(*radii)->charge)) || 
(gdb) bt
#0  0x0804f26c in GChemTableElt (this=0xa1c0288, App=0x9fb1b80, Z=<value
optimized out>)
    at gchemtable-elt.cc:248
#1  0x0804bff0 in GChemTableApp::OnElement (this=0x9fb1b80, Z=1) at
gchemtable-app.cc:174
#2  0x00116d99 in g_cclosure_marshal_VOID () from /lib/libgobject-2.0.so.0
#3  0x00109d9b in g_closure_invoke () from /lib/libgobject-2.0.so.0
#4  0x0011a433 in g_signal_chain_from_overridden () from /lib/libgobject-2.0.so.0
#5  0x0011b957 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#6  0x0011bb19 in g_signal_emit () from /lib/libgobject-2.0.so.0
#7  0x0678fd5c in on_clicked (button=0xa016488, periodic=0x9fa5ae8) at
gtkperiodic.c:238
#8  0x001170f9 in g_cclosure_marshal_VOID__VOID () from /lib/libgobject-2.0.so.0
#9  0x00109d9b in g_closure_invoke () from /lib/libgobject-2.0.so.0
#10 0x0011a433 in g_signal_chain_from_overridden () from /lib/libgobject-2.0.so.0
#11 0x0011b957 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#12 0x0011bb19 in g_signal_emit () from /lib/libgobject-2.0.so.0
#13 0x065b9983 in gtk_toggle_button_toggled () from /usr/lib/libgtk-x11-2.0.so.0
#14 0x065b99f8 in gtk_toggle_button_toggled () from /usr/lib/libgtk-x11-2.0.so.0
#15 0x001170f9 in g_cclosure_marshal_VOID__VOID () from /lib/libgobject-2.0.so.0
#16 0x00108589 in g_value_set_static_boxed () from /lib/libgobject-2.0.so.0
#17 0x00109d9b in g_closure_invoke () from /lib/libgobject-2.0.so.0
#18 0x0011a8ca in g_signal_chain_from_overridden () from /lib/libgobject-2.0.so.0
#19 0x0011b957 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#20 0x0011bb19 in g_signal_emit () from /lib/libgobject-2.0.so.0
#21 0x06423cd3 in gtk_button_clicked () from /usr/lib/libgtk-x11-2.0.so.0
#22 0x065b9758 in gtk_toggle_action_new () from /usr/lib/libgtk-x11-2.0.so.0
#23 0x001170f9 in g_cclosure_marshal_VOID__VOID () from /lib/libgobject-2.0.so.0
#24 0x00108589 in g_value_set_static_boxed () from /lib/libgobject-2.0.so.0
#25 0x00109d9b in g_closure_invoke () from /lib/libgobject-2.0.so.0
#26 0x0011a8ca in g_signal_chain_from_overridden () from /lib/libgobject-2.0.so.0
#27 0x0011b957 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#28 0x0011bb19 in g_signal_emit () from /lib/libgobject-2.0.so.0
#29 0x06423d63 in gtk_button_released () from /usr/lib/libgtk-x11-2.0.so.0
#30 0x06423dc1 in gtk_button_released () from /usr/lib/libgtk-x11-2.0.so.0
#31 0x064f4b00 in gtk_marshal_BOOLEAN__VOID () from /usr/lib/libgtk-x11-2.0.so.0
#32 0x00108589 in g_value_set_static_boxed () from /lib/libgobject-2.0.so.0
#33 0x00109d9b in g_closure_invoke () from /lib/libgobject-2.0.so.0
#34 0x0011aa83 in g_signal_chain_from_overridden () from /lib/libgobject-2.0.so.0
#35 0x0011b71f in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#36 0x0011bb19 in g_signal_emit () from /lib/libgobject-2.0.so.0
#37 0x06609748 in gtk_widget_get_default_style () from /usr/lib/libgtk-x11-2.0.so.0
#38 0x064eded3 in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
#39 0x064ef0d7 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
#40 0x00d5a14a in gdk_add_client_message_filter () from /usr/lib/libgdk-x11-2.0.so.0
#41 0x00c9f442 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#42 0x00ca241f in g_main_context_check () from /lib/libglib-2.0.so.0
#43 0x00ca27c9 in g_main_loop_run () from /lib/libglib-2.0.so.0
#44 0x064ef554 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#45 0x0804becb in main (argc=1, argv=0xbfb44434) at gchemtable-main.cc:44
Comment 1 Julian Sikorski 2007-05-05 10:50:20 EDT
It does indeed crash. Will investigate.
Comment 2 Julian Sikorski 2007-05-07 15:33:44 EDT
Fixed package has been built. Update should be on its way.

Note You need to log in before you can comment on or make changes to this bug.